#
# spec file for package gnome-terminal
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-terminal
Version:        3.26.2
Release:        0
Summary:        GNOME Terminal
License:        GPL-3.0+ and LGPL-2.1+
Group:          System/X11/Terminals
Url:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/gnome-terminal/3.26/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM gnome-terminal-nb-translation.patch zaitor@opensuse.org -- Add updated Norwegian bokmål translation
Patch0:         gnome-terminal-nb-translation.patch
BuildRequires:  fdupes
# Needed for search provider. It should not be needed in my opionion, we have to take this up with upstream, or just provide search provider interface definition file as source.
BuildRequires:  gnome-shell
BuildRequires:  intltool >= 0.50.1
%if !0%{?is_opensuse}
BuildRequires:  translation-update-upstream
%endif
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.26
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dconf) >= 0.12.0
%if 0%{?sle_version}
BuildRequires:  pkgconfig(gconf-2.0) >= 2.31.3
%endif
BuildRequires:  pkgconfig(gio-2.0) >= 2.34.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.42.0
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.8
BuildRequires:  pkgconfig(libnautilus-extension) >= 3.0.0
BuildRequires:  pkgconfig(libpcre2-8) >= 10.00
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(vte-2.91) >= 0.50.2
BuildRequires:  pkgconfig(x11)
Recommends:     %{name}-lang
Requires(pre):  filesystem
%if 0%{?sle_version}
Requires(pre):  gconf2
%endif

%description
This package provides the GNOME terminal emulator application.

%package -n gnome-shell-search-provider-gnome-terminal
Summary:        GNOME Terminal -- Search Provider for GNOME Shell
Group:          System/X11/Terminals
Supplements:    packageand(gnome-shell:%{name})
Requires:       %{name} = %{version}

%description -n gnome-shell-search-provider-gnome-terminal
This package contains a search provider to enable GNOME Shell to get
search results from GNOME Terminal.

%package -n nautilus-extension-terminal
Summary:        Nautilus Extension to Open Terminal in Folders
Group:          System/GUI/GNOME
Supplements:    packageand(nautilus:%{name})
# nautilus-open-terminal was merged into gnome-terminal source during 3.9 development.
Provides:       nautilus-open-terminal = %{version}
Obsoletes:      nautilus-open-terminal < %{version}

%description -n nautilus-extension-terminal
This is a nautilus extension that allows you to open a terminal in
arbitrary folders.

%lang_package

%prep
%autosetup -p1

%if !0%{?is_opensuse}
translation-update-upstream
%endif

%build
%configure \
    --disable-static \
%if !0%{?sle_version}
    --disable-migration \
%endif
    --with-gtk=3.0 \
    --with-nautilus-extension
%make_build

%install
%make_install

find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%files
%doc AUTHORS COPYING ChangeLog NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/gnome-terminal
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/org.gnome.Terminal.appdata.xml
%{_datadir}/applications/org.gnome.Terminal.desktop
%{_libexecdir}/gnome-terminal-server
%if 0%{?sle_version}
%{_libexecdir}/gnome-terminal-migration
%endif
%{_datadir}/dbus-1/services/org.gnome.Terminal.service
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.xml
%{_userunitdir}/gnome-terminal-server.service

%files -n gnome-shell-search-provider-gnome-terminal
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/gnome-terminal-search-provider.ini

%files -n nautilus-extension-terminal
%{_libdir}/nautilus/extensions-3.0/libterminal-nautilus.so
%{_datadir}/metainfo/org.gnome.Terminal.Nautilus.metainfo.xml

%files lang -f %{name}.lang

%changelog
